## idanish 1.2.1-1

=== Makefile ===
installdir=/usr/lib/ispell

all: dansk.hash

install: dansk.hash dansk.aff
	install -o root -g root -m 0644 dansk.hash $(installdir)
	install -o root -g root -m 0644 dansk.aff $(installdir)

dansk.hash: dansk.aff dansk.datalista
	buildhash dansk.datalista dansk.aff dansk.hash

clean:
	rm -f dansk.datalista.stat dansk.hash dansk.datalista.cnt *~

=== debian/changelog ===
idanish (1.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Goran Andersson <goran_a@maths.lth.se>  Sun, 15 Mar 1998 23:43:21 +0100

idanish (1.2-1) unstable; urgency=low

  * New sources.
  * New maintainer.
  * New package format.

 -- Goran Andersson <goran_a@maths.lth.se>  Wed, 5 Mar 1997 22:50:33 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: idanish
Maintainer: Goran Andersson <goran_a@maths.lth.se>
Section: text
Priority: optional
Standards-Version: 2.4.0.0

Package: idanish
Architecture: all
Depends: ispell
Provides: ispell-dictionary
Description: The Danish dictionary for ispell.
 This is the Danish dictionary, to be used with ispell
 to check and correct spelling in Danish texts.
 The dictionary contains more than 300,000 words.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified by Goran Andersson <goran_a@maths.lth.se>

package=idanish

build:
	$(checkdir)
	make
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d -m755 debian/tmp/usr/lib/ispell
	install -m644 dansk.{aff,hash} debian/tmp/usr/lib/ispell
	(cd debian/tmp/usr/lib/ispell; ln -si dansk.aff danish.aff ; \
		ln -si dansk.hash danish.hash)
	install -d -m755 debian/tmp/DEBIAN
	install -m755 debian/{postinst,prerm} debian/tmp/DEBIAN
	install -d -m755 debian/tmp/usr/doc/$(package)
	install -m644 dan{ish,sk}.html debian/README.debian \
                debian/tmp/usr/doc/$(package)
	install -m644 debian/changelog \
		debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9 `find debian/tmp/usr/doc -type f`
	install -m644 copyright debian/tmp/usr/doc/$(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules -a -f dansk.aff
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
